import type { Database } from '@db/sqlite';
import { sql } from './queries.ts';

/**
 * Get the single active CCN from the database
 * @returns The active CCN or null if none is active
 */
export function getActiveCCN(
  db: Database,
): { pubkey: string; name: string } | null {
  const result = sql`SELECT pubkey, name FROM ccns WHERE is_active = 1 LIMIT 1`(
    db,
  );
  return result.length > 0
    ? (result[0] as { pubkey: string; name: string })
    : null;
}
