import { db } from '../index.ts';
import { sql } from './queries.ts';

let knownOriginalEventsCache: string[] = [];

export function isOriginalEventIdCached(eventId: string) {
  return knownOriginalEventsCache.includes(eventId);
}

export function updateKnownEventsCache() {
  knownOriginalEventsCache = sql`SELECT original_id FROM events`(db).flatMap(
    (row) => row.original_id,
  );
}
